Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iscript
Class IScriptInterpreter.IScriptLispInterpreter

    java.lang.Object
      ix.util.lisp.Interpreter
          ix.util.lisp.LispInterpreter
              ix.iscript.IScriptInterpreter.IScriptLispInterpreter

Enclosing class:
  IScriptInterpreter

     class IScriptInterpreter.IScriptLispInterpreter

extends LispInterpreter

Nested Class Summary

Nested classes/interfaces inherited from class ix.util.lisp.LispInterpreter
`LispInterpreter.Parser, LispInterpreter.Syntax, LispInterpreter.SyntaxError`

Nested classes/interfaces inherited from class ix.util.lisp.Interpreter
`Interpreter.AbstractEnv, Interpreter.AbstractFunction, Interpreter.And, Interpreter.Assignment, Interpreter.Call, Interpreter.Closure, Interpreter.Env, Interpreter.Error, Interpreter.Expr, Interpreter.Function, Interpreter.GlobalEnv, Interpreter.If, Interpreter.JFunction, Interpreter.Lambda, Interpreter.Let, Interpreter.LexicalEnv, Interpreter.Literal, Interpreter.Or, Interpreter.Sequence, Interpreter.VarRef, Interpreter.While`

Field Summary

Fields inherited from class ix.util.lisp.LispInterpreter
`COND, ELLIPSIS, LAMBDA, parserTable, PROGN, QUOTE, reader`

Fields inherited from class ix.util.lisp.Interpreter
`DEFAULT, FALSE, globalEnv, iscript, TRUE`

Constructor Summary
`IScriptInterpreter.IScriptLispInterpreter()`

Method Summary
`protected void` | `defineSyntax()`

Methods inherited from class ix.util.lisp.LispInterpreter
`define, define, define, defineBuiltins, defineInitialValues, installDefinitions, isTrue, loadLisp, loadLisp, main, parseForm, parseList, topLevelEval`

Methods inherited from class ix.util.lisp.Interpreter
`nameForClass, topLevelApply, topLevelEval`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IScriptInterpreter.IScriptLispInterpreter

    IScriptInterpreter.IScriptLispInterpreter()

Method Detail

### defineSyntax

    protected void defineSyntax()

  Overrides:
    `defineSyntax` in class `LispInterpreter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD